Subject: FAQ???

From: Olly Stephens <[email-masked]>
Date: Tue, 07 Nov 1995 13:54:25 -0800

This has to be an FAQ:

I downloaded the 2.4 version from wuarchive.wustl.edu:/packages/wuarchive-ftpd
but I can't get it to compile on either Solaris 2.4 or SunOS 4.1.3_U1
(gcc versions 2.6.0 and 2.7.0 respectively)

Here's what I get:

-------------------------------------------------------------------------------
# ./build CC=gcc sol
make args are : 
make opts are :  CC=gcc

Linking Makefiles.

Making support library.
gcc -g -DDEBUG   -c fnmatch.c
gcc -g -DDEBUG   -c strcasestr.c
gcc -g -DDEBUG   -c strsep.c
gcc -g -DDEBUG   -c authuser.c
In file included from authuser.c:7:
/usr/include/arpa/inet.h:46: warning: `struct in_addr' declared inside 
parameter list
/usr/include/arpa/inet.h:46: warning: its scope is only this definition or 
declaration,
/usr/include/arpa/inet.h:46: warning: which is probably not what you want.
/usr/include/arpa/inet.h:46: warning: parameter has incomplete type
/usr/include/arpa/inet.h:49: warning: parameter has incomplete type
/usr/include/arpa/inet.h:50: warning: parameter has incomplete type
rm -f libsupport.a
ar cq libsupport.a fnmatch.o strcasestr.o strsep.o authuser.o 
touch libsupport.a

Making ftpd.
gcc -g -DDEBUG -I.. -I../support -L../support   -c ftpd.c -o ftpd.o
ftpd.c: In function `statcmd':
ftpd.c:1972: `typenames' undeclared (first use this function)
ftpd.c:1972: (Each undeclared identifier is reported only once
ftpd.c:1972: for each function it appears in.)
ftpd.c:1974: `formnames' undeclared (first use this function)
ftpd.c:1982: `strunames' undeclared (first use this function)
ftpd.c:1982: `modenames' undeclared (first use this function)
make: *** [ftpd.o] Error 1
-------------------------------------------------------------------------------

Also, I notice that the version of this release is much older than I see
on ftp servers when I log in (including the wuarchive one):

-------------------------------------------------------------------------------
# cat src/vers.c
char version[] = "Version wu-2.4(1) Wed Apr 13 16:38:41 CDT 1994";
-------------------------------------------------------------------------------

Where can I get the latest patches? (or the FAQ)

Thanks in advance,

Olly